require_dependency "radesk/application_controller"

module Radesk
  module Admin
    class CategoriesController < AdminController
      before_action :set_category, only: [:show, :destroy, :edit, :update]
      
      def index
        @categories = Category.all
      end

      def show
      end

      def new
        @category = Category.new
      end

      def create
        @category = Category.new(category_params)

        if @category.save
          redirect_to admin_categories_path, notice: 'Category was successfully created.'
        else
          redirect_to admin_categories_path
        end
      end

      def edit
      end

      def update
        if @category.update(category_params)
          redirect_to admin_categories_path, notice: 'Category was successfully updated.'
        else
          render :edit
        end
      end

      def destroy
        @category.destroy
        redirect_to admin_categories_path, notice: 'Category was successfully destroyed.'
      end

      private
        def set_category
          @category = Category.find(params[:id])
        end

        def category_params
          params.require(:category).permit(:title)
        end
    end
  end
end