module Radesk
  class ApplicationController < ActionController::Base
    def radesk_current_user
      send(Radesk.current_user_method_name)
    end
    helper_method :radesk_current_user

    def radesk_authorize!
      redirect_to Radesk.sign_in_path if !(radesk_current_user)
    end

    def radesk_authorize_admin!
      redirect_to root_path if !(radesk_current_user.radesk_admin?)
    end

    def radesk_check_access(object)
      redirect_to root_path unless object.has_access?(radesk_current_user)
    end
  end
end
