require_dependency "radesk/application_controller"

module Radesk
  class UploadsController < ApplicationController
    before_action :radesk_authorize!
    before_action :set_upload, only: [:destroy]
    before_filter -> { radesk_check_access(@upload.answer) }, only: [:destroy]

    def destroy
      @upload.destroy
    end

    private
      def set_upload
        @upload = Radesk::Upload.find(params[:id])
      end
  end
end