module Radesk
  class Answer < ActiveRecord::Base
    include Radesk::Concerns::Access
    include Radesk::ActivitiesHelper
    
    belongs_to :user, :class_name => Radesk.user_class_name.to_s, :foreign_key => :user_id
    belongs_to :ticket
    has_many :uploads

    accepts_nested_attributes_for :uploads

    validates_presence_of :message

    scope :without_private, -> { where(:private => false) }

    after_destroy { |answer| destroy_activities(answer) }
  end
end
