module Radesk
  class Ticket < ActiveRecord::Base
    include Radesk::Concerns::Access
    include Radesk::ActivitiesHelper

    belongs_to :user, :class_name => Radesk.user_class_name.to_s, :foreign_key => :user_id
    belongs_to :category
    has_many :answers, :dependent => :destroy

    accepts_nested_attributes_for :answers

    validates_presence_of :title

    default_scope { order('closed ASC').order('id DESC') }

    after_destroy { |ticket| destroy_activities(ticket) }

    searchkick

    scope :search_import, -> { includes(:answers) }

    def search_data
      {
        title: title,
        answers: answers.map(&:message)
      }
    end
  end
end
