Radesk::Engine.routes.draw do

  resources :tickets do
    member do
      get 'open'
      get 'close'
    end
    collection do
      get 'category/:id' => 'tickets#category', :as => :category
    end
    resources :answers, :except => [:index, :show, :new]
  end

  resources :uploads, :only => [:destroy]

  namespace :admin do
    resources :categories, :except => [:show]
    resources :users, :only => [:show]
    resources :activities, :only => :index
  end

  root 'tickets#index'
end
