require 'rails/generators/base'

module Radesk
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path("../install/templates", __FILE__)

      def copy_initializer
        template "initializer.rb", "config/initializers/radesk.rb"
      end

      def install_migrations
        Dir.chdir(Rails.root) do
          `rake radesk:install:migrations`
        end
      end

      def mount_engine
        insert_into_file "#{Rails.root}/config/routes.rb", :after => /routes.draw.do\n/ do
          %Q{  mount Radesk::Engine, :at => '/radesk'
}
        end
      end
    end
  end
end